FROM python:alpine

RUN apk update && apk add postgresql-dev gcc python3-dev musl-dev
RUN pip install --upgrade pip

WORKDIR /app/api
COPY requirements.txt /app/api
RUN pip install -r requirements.txt

COPY . /app/api
RUN chmod +x /app/api/entrypoint.sh
ENTRYPOINT ["/app/api/entrypoint.sh"]

CMD gunicorn api.wsgi:application --bind 0.0.0.0:8000
